package org.seasar.dao.impl;

import javax.sql.DataSource;

import org.seasar.dao.BeanMetaData;

/**
 * @author higa
 *  
 */
public class UpdateAutoHandler extends AbstractAutoHandler {

	public UpdateAutoHandler(DataSource dataSource, BeanMetaData beanMetaData) {
		super(dataSource, beanMetaData);
	}

	protected void setupSql() {
		setSql(getBeanMetaData().getAutoUpdateSql());
	}

	protected Object[] getBindVariables(Object bean) {
		return getBeanMetaData().getAutoUpdateBindVariables(bean);
	}
}